Package org.apache.tomcat.websocket

## Class AsyncChannelGroupUtil

- java.lang.Object
- - org.apache.tomcat.websocket.AsyncChannelGroupUtil

-     public class AsyncChannelGroupUtil
      extends Object

  This is a utility class that enables multiple `WsWebSocketContainer` instances to share a single `AsynchronousChannelGroup` while ensuring that the group is destroyed when no longer required.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AsynchronousChannelGroup` | `register()` |
    `static void` | `unregister()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### register

          public static AsynchronousChannelGroup register()

    - #### unregister

          public static void unregister()